import request from '@/utils/request'

// 查询设备台账列表
export function listLedger1710400828000(query) {
  return request({
    url: '/ledger/list',
    method: 'get',
    params: query
  })
}

// 查询设备台账详细
export function getLedger1710400828000(id) {
  return request({
    url: '/ledger/query/' + id,
    method: 'get'
  })
}

// 新增设备台账
export function addLedger1710400828000(data) {
  return request({
    url: '/ledger/add',
    method: 'post',
    data: data
  })
}

// 修改设备台账
export function updateLedger1710400828000(data) {
  return request({
    url: '/ledger/edit',
    method: 'put',
    data: data
  })
}

// 删除设备台账
export function delLedger1710400828000(id) {
  return request({
    url: '/ledger/remove/' + id,
    method: 'delete'
  })
}

// 查询设备台账列表2
export function getLedgerList(query) {
  return request({
    url: '/ledger/list',
    method: 'get',
    params: query
  })
}

// // 新增设备台账2
// export function addLedger(data) {
//   return request({
//     url: '/ledger/add',
//     method: 'post',
//     data: data
//   })
// }

// // 修改设备台账2
// export function updateLedger(data) {
//   return request({
//     url: '/forms/api/gen/Ledger1710400828000',
//     method: 'put',
//     data: data
//   })
// }

// // 删除设备台账2
// export function delLedger1710400828000(id) {
//   return request({
//     url: '/forms/api/gen/Ledger1710400828000/' + id,
//     method: 'delete'
//   })
// }

// // 查询设备台账详细2
// export function getLedger1710400828000(id) {
//   return request({
//     url: '/forms/api/gen/Ledger1710400828000/' + id,
//     method: 'get'
//   })
// }
